{
  "compilerOptions": {
    "target": "ESNext",
    "useDefineForClassFields": true,
    "module": "ESNext",
    "moduleResolution": "Node",
    "strict": true,
    "jsx": "preserve",
    "sourceMap": true,
    "resolveJsonModule": true,
    "isolatedModules": true,
    "esModuleInterop": true,
    "lib": ["ESNext", "DOM"],
    "noImplicitAny": false, //允许使用any类型
    "baseUrl": "./",
    "paths": {
      "@/*": ["src/*"],
      "~/*": ["/*"],
      "@assets/*": ["src/assets/*"],
      "@comps/*": ["src/components/*"],
      "@utils/*": ["src/utils/*"],
      "@store/*": ["src/store/*"],
      "@apis/*": ["src/api/*"],
      "@views/*": ["src/views/*"],
      "@hooks/*": ["src/hooks/*"]
    },
    "skipLibCheck": true
  },
  "include": ["src/**/*.ts", "src/**/*.d.ts", "src/**/*.tsx", "src/**/*.vue", "test.ts"],
  "references": [{ "path": "./tsconfig.node.json" }],
  "ts-node": {
    "compilerOptions": {
      "module": "CommonJS",
      "esModuleInterop": true
    }
  }
}
